GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
initialize.c File Reference
`#include <grpc/census.h>`

## Functions
int | census_initialize (int features)
| Shutdown and startup census subsystem. More...
void | census_shutdown (void)
int | census_supported (void)
| Return the features supported by the current census implementation (not all features will be available on all platforms). More...
int | census_enabled (void)
| Return the census features currently enabled. More...

## Function Documentation

int census_enabled | ( | void |  | ) |

Return the census features currently enabled.

int census_initialize | ( | int | features | ) |

Shutdown and startup census subsystem.

The 'features' argument should be the OR (|) of census_features values. If census fails to initialize, then census_initialize() will return a non-zero value. It is an error to call census_initialize() more than once (without an intervening census_shutdown()).

void census_shutdown | ( | void |  | ) |

int census_supported | ( | void |  | ) |

Return the features supported by the current census implementation (not all features will be available on all platforms).